"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.updatePackageJson = exports.skip = void 0;
const path_1 = __importDefault(require("path"));
const fs_1 = require("fs");
exports.skip = Symbol('skip');
async function updatePackageJson(packageDir, updateFn) {
    const pathToPkg = path_1.default.resolve(packageDir, 'package.json');
    const pkgJson = require(pathToPkg);
    const updated = await updateFn(pkgJson, exports.skip);
    if (updated === exports.skip) {
        return;
    }
    if (!updated || typeof updated !== 'object') {
        const updatedStr = JSON.stringify(updated);
        throw new Error(`updatePackageJson updateFn should return a package.json object, got ${updatedStr}`);
    }
    await fs_1.promises.writeFile(pathToPkg, JSON.stringify(updated, null, 2).trim() + '\n', 'utf8');
}
exports.updatePackageJson = updatePackageJson;
//# sourceMappingURL=update-package-json.js.map